%global git 150c1be26356a9523be821607c3ccfbdc2c12ba0

Name:           php-fyrkat-openssl
Version:        0.0.0
Release:        0.1%{?dist}
Summary:        Class wrappers for PHPs built-in openssl_* functions

License:        BSD-3-Clause
URL:            https://github.com/fyrkat/php-openssl
%if %{defined git}
Source0:        https://github.com/fyrkat/php-openssl/archive/%{git}/php-openssl-%{version}-%{git}.tar.gz
%else
Source0:        https://github.com/fyrkat/php-openssl/releases/download/%{version}/php-openssl-%{version}.tar.xz
Source1:        https://github.com/fyrkat/php-openssl/releases/download/%{version}/php-openssl-%{version}.tar.xz.asc
Source2:        gpgkey-XXXX
%endif

BuildArch:      noarch

#BuildRequires:  gnupg2
BuildRequires:  php-fedora-autoloader-devel
BuildRequires:  %{_bindir}/phpab
BuildRequires:  phpunit7
#"require": {
#    "php": ">=7.1",
#    "ext-openssl": "*"
#},
BuildRequires:  php(language) >= 5.4.0
BuildRequires:  php-openssl

#"require": {
#    "php": ">=7.1",
#    "ext-openssl": "*"
#},
Requires:       php(language) >= 7.1
Requires:       php-openssl

Provides:       php-composer(fyrkat/openssl) = %{version}

%description
This project provides classes around openssl_* functions in order to make 
working with keys and certificates a bit more palable. It is still a work 
in progress. Patches and bug reports welcome.

%prep
%if %{defined git}
%setup -qn php-openssl-%{git}
%else
gpgv2 --keyring %{SOURCE2} %{SOURCE1} %{SOURCE0}
%setup -qn php-openssl-%{version}
%endif

%build
%{_bindir}/phpab -t fedora -o src/fyrkat/openssl/autoload.php src

%install
mkdir -p %{buildroot}%{_datadir}/php
rm src/_autoload.php
cp -pr src/* %{buildroot}%{_datadir}/php

%check
%{_bindir}/phpab -t fedora -o tests/autoload.php tests
cat <<'AUTOLOAD' | tee -a tests/autoload.php
require_once 'src/fyrkat/openssl/autoload.php';
AUTOLOAD

/usr/bin/phpunit7 --verbose --bootstrap=tests/autoload.php

%files
%license COPYING
%doc composer.json README.md
%dir %{_datadir}/php/fyrkat
%{_datadir}/php/fyrkat/openssl

%changelog
* Wed Jun 05 2019 François Kooman <fkooman@tuxed.net> - 0.0.0-0.1
- initial package
